Bug 1002497 - [Quadro K1000M] three monitor configuration do not work for GK107
[Quadro K1000M] three monitor configuration do not work for GK107
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-nouveau (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Ben Skeggs
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 06:31 EDT by Tomas Pelka
Modified: 2017-08-01 01:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (122.71 KB, text/plain)
2013-08-29 06:31 EDT, Tomas Pelka
no flags Details
xorg.0.log (54.08 KB, text/plain)
2013-08-29 06:32 EDT, Tomas Pelka
no flags Details
xrandr (20.43 KB, text/plain)
2013-08-29 06:34 EDT, Tomas Pelka
no flags Details
f19_dmesg (380.44 KB, text/plain)
2013-08-30 09:32 EDT, Tomas Pelka
no flags Details
f19_xorg.log (52.09 KB, text/plain)
2013-08-30 09:32 EDT, Tomas Pelka
no flags Details
f19_xrandr (68 bytes, text/plain)
2013-08-30 09:33 EDT, Tomas Pelka
no flags Details
vbios.rom from dri/0/ (90.00 KB, application/octet-stream)
2013-09-10 03:23 EDT, Tomas Pelka
no flags Details
vbios.rom from dri/64/ (90.00 KB, application/octet-stream)
2013-09-10 03:23 EDT, Tomas Pelka
no flags Details
/sys/firmware/acpi/tables (24.69 KB, application/x-gzip)
2013-09-12 03:41 EDT, Tomas Pelka
no flags Details

  None (edit)
Description Tomas Pelka 2013-08-29 06:31:43 EDT
Created attachment 791689 [details]
dmesg

Description of problem:
Hi as Ben confirmed me GK107 should be able to handle 4 monitor setup.

I with Dell M4700 have in dock with two NEC E231W connected (via DP).

g-d-p actually shows the monitor but the third in row stays dark with no picture on it. The system actually act like it is on, since the virtual display is correctly enlarged over three displays and one can place windows on the third display actually.

Mirror do not work as well, or to be precise act the same.

Machine booted with discrete graphics only.

Version-Release number of selected component (if applicable):
kernel-2.6.32-414.el6
xorg-x11-drv-nouveau-1.0.1-4.el6
xorg-x11-server-Xorg-1.13.0-17.el6

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
third monitor in row stays dark

Expected results:
GK107 should be able to handle panel+2 monitors connected

Additional info:
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GK107GLM [Quadro K1000M] [10de:0ffc] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Dell Device [1028:053e]
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at f0000000 (64-bit, prefetchable) [size=32M]
	I/O ports at e000 [size=128]
	Expansion ROM at f6000000 [disabled] [size=512K]
	Capabilities: [60] Power Management version 3
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [b4] Vendor Specific Information: Len=14 <?>
	Capabilities: [100] Virtual Channel
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
	Capabilities: [900] #19
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb


System Information
	Manufacturer: Dell Inc.
	Product Name: Precision M4700
	Version: 01
	Serial Number: GB069W1
	UUID: 4C4C4544-0042-3010-8036-C7C04F395731
	Wake-up Type: Power Switch
	SKU Number: Not Specified
	Family: Not Specified

I have this machine on my table I can access it for debugging if needed.
Comment 1 Tomas Pelka 2013-08-29 06:32:42 EDT
Created attachment 791691 [details]
xorg.0.log
Comment 2 Tomas Pelka 2013-08-29 06:34:43 EDT
Created attachment 791694 [details]
xrandr
Comment 3 Ben Skeggs 2013-08-29 19:47:34 EDT
Are you able to test this with F19 + latest kernel?  There's a very significant number of changes in nouveau since 6.4 (which are in 6.5), so it'd be useful to know the status there.
Comment 4 Tomas Pelka 2013-08-30 09:32:17 EDT
Created attachment 792179 [details]
f19_dmesg

kernel-3.9.5-301.fc19.x86_64
kernel-3.10.9-200.fc19.x86_64
xorg-x11-drv-nouveau-1.0.9-1.fc19.x86_64
xorg-x11-server-Xorg-1.14.2-9.fc19.x86_64
Comment 5 Tomas Pelka 2013-08-30 09:32:44 EDT
Created attachment 792180 [details]
f19_xorg.log
Comment 6 Tomas Pelka 2013-08-30 09:33:07 EDT
Created attachment 792181 [details]
f19_xrandr
Comment 7 Tomas Pelka 2013-08-30 09:34:18 EDT
(In reply to Tomas Pelka from comment #4)
> Created attachment 792179 [details]
> f19_dmesg
> 
> kernel-3.9.5-301.fc19.x86_64
> kernel-3.10.9-200.fc19.x86_64

uname -a
Linux dhcp130-204.brq.redhat.com 3.10.9-200.fc19.x86_64 #1 SMP Wed Aug 21 19:27:58 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

> xorg-x11-drv-nouveau-1.0.9-1.fc19.x86_64
> xorg-x11-server-Xorg-1.14.2-9.fc19.x86_64

Situation is exactly the same.
Comment 8 Ben Skeggs 2013-09-05 00:06:45 EDT
Does the non-working port work in a two monitor configuration?
Comment 9 Tomas Pelka 2013-09-05 03:37:48 EDT
(In reply to Ben Skeggs from comment #8)
> Does the non-working port work in a two monitor configuration?

Nope, g-d-p (xrandr) will see it but still no screen on it.
Comment 10 Ben Skeggs 2013-09-08 21:18:47 EDT
(In reply to Tomas Pelka from comment #9)
> (In reply to Ben Skeggs from comment #8)
> > Does the non-working port work in a two monitor configuration?
> 
> Nope, g-d-p (xrandr) will see it but still no screen on it.

Ok, in tht case, it's not a triple-head problem (good, because that should work!).. But, bad.. Because, I now don't have a clear idea of what's wrong here.

Can you attach the vbios image (/sys/kernel/debug/dri/0/vbios.rom, might need to mount debugfs on /sys/kernel/debug first), and give me the xrandr output name of the non-working port?
Comment 11 Tomas Pelka 2013-09-09 03:25:46 EDT
(In reply to Ben Skeggs from comment #10)
> (In reply to Tomas Pelka from comment #9)
> 
> Ok, in tht case, it's not a triple-head problem (good, because that should
> work!).. But, bad.. Because, I now don't have a clear idea of what's wrong
> here.
> 
> Can you attach the vbios image (/sys/kernel/debug/dri/0/vbios.rom, might
> need to mount debugfs on /sys/kernel/debug first), and give me the xrandr
> output name of the non-working port?

The nonworking output is DP-1

My laptop have no /sys/kernel/debug/dri/0/vbios.rom, is that expected?

$ mount | grep debug
none on /sys/kernel/debug type debugfs (rw)
Comment 12 Tomas Pelka 2013-09-09 03:31:01 EDT
$ ls /sys/kernel/debug/dri/*
/sys/kernel/debug/dri/0:
bufs  clients  gem_names  name  vm  vma

/sys/kernel/debug/dri/64:
bufs  clients  gem_names  name  vm  vma

$ lsmod | grep nouveau
nouveau               876885  2 
ttm                    80957  1 nouveau
drm_kms_helper         40087  1 nouveau
drm                   265866  4 nouveau,ttm,drm_kms_helper
i2c_algo_bit            5935  1 nouveau
i2c_core               31084  6 i2c_i801,videodev,nouveau,drm_kms_helper,drm,i2c_algo_bit
mxm_wmi                 1967  1 nouveau
video                  20674  1 nouveau
wmi                     6287  2 nouveau,mxm_wmi
Comment 13 Ben Skeggs 2013-09-09 20:19:01 EDT
I suspect you're probably on one of the kernel versions where it was missing temporarily.  Kernel 3.8 and up should have it back.
Comment 14 Tomas Pelka 2013-09-10 03:23:10 EDT
Created attachment 795868 [details]
vbios.rom from dri/0/
Comment 15 Tomas Pelka 2013-09-10 03:23:59 EDT
Created attachment 795870 [details]
vbios.rom from dri/64/
Comment 16 Ben Skeggs 2013-09-11 22:06:55 EDT
I have a feeling this is going to be one of those not-so-fun cases where I'm going to need the hardware to play with directly.

But, let's keep looking for a bit.  Can you copy /sys/firmware/acpi/tables somewhere (yes, copy first, tar directly doesn't work well on sysfs), and tar it up and attach for me please?
Comment 17 Tomas Pelka 2013-09-12 03:41:16 EDT
Created attachment 796662 [details]
/sys/firmware/acpi/tables
Comment 18 RHEL Product and Program Management 2013-10-13 22:29:49 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.